<a id="types-aiobotocore-omics"></a>

# types-aiobotocore-omics

[![PyPI - types-aiobotocore-omics](https://img.shields.io/pypi/v/types-aiobotocore-omics.svg?color=blue)](https://pypi.org/project/types-aiobotocore-omics)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-omics.svg?color=blue)](https://pypi.org/project/types-aiobotocore-omics)
[![Docs](https://img.shields.io/readthedocs/types-aiobotocore.svg?color=blue)](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_omics/)
[![PyPI - Downloads](https://static.pepy.tech/badge/types-aiobotocore-omics)](https://pepy.tech/project/types-aiobotocore-omics)

![boto3.typed](https://github.com/youtype/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[aiobotocore.Omics 2.7.0](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/omics.html#Omics)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 7.19.0](https://github.com/youtype/mypy_boto3_builder).

More information can be found on
[types-aiobotocore](https://pypi.org/project/types-aiobotocore/) page and in
[types-aiobotocore-omics docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_omics/).

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/youtype/mypy_boto3_builder/raw/main/demo.gif)

- [types-aiobotocore-omics](#types-aiobotocore-omics)
  - [How to install](#how-to-install)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [How to uninstall](#how-to-uninstall)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Emacs](#emacs)
    - [Sublime Text](#sublime-text)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)
    - [Waiters annotations](#waiters-annotations)
    - [Literals](#literals)
    - [Type definitions](#type-definitions)
  - [How it works](#how-it-works)
  - [What's new](#what's-new)
    - [Implemented features](#implemented-features)
    - [Latest changes](#latest-changes)
  - [Versioning](#versioning)
  - [Thank you](#thank-you)
  - [Documentation](#documentation)
  - [Support and contributing](#support-and-contributing)

<a id="how-to-install"></a>

## How to install

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `Omics` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[omics]'


# Lite version does not provide session.client/resource overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[omics]'


# standalone installation
python -m pip install types-aiobotocore-omics
```

<a id="how-to-uninstall"></a>

## How to uninstall

```bash
python -m pip uninstall -y types-aiobotocore-omics
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[omics]` in your environment:

```bash
python -m pip install 'types-aiobotocore[omics]'
```

Both type checking and code completion should now work. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pycharm"></a>

### PyCharm

Install `types-aiobotocore-lite[omics]` in your environment:

```bash
python -m pip install 'types-aiobotocore-lite[omics]'`
```

Both type checking and code completion should now work. Explicit type
annotations **are required**.

Use `types-aiobotocore` package instead for implicit type discovery.

<a id="emacs"></a>

### Emacs

- Install `types-aiobotocore` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[omics]'
```

- Install [use-package](https://github.com/jwiegley/use-package),
  [lsp](https://github.com/emacs-lsp/lsp-mode/),
  [company](https://github.com/company-mode/company-mode) and
  [flycheck](https://github.com/flycheck/flycheck) packages
- Install [lsp-pyright](https://github.com/emacs-lsp/lsp-pyright) package

```elisp
(use-package lsp-pyright
  :ensure t
  :hook (python-mode . (lambda ()
                          (require 'lsp-pyright)
                          (lsp)))  ; or lsp-deferred
  :init (when (executable-find "python3")
          (setq lsp-pyright-python-executable-cmd "python3"))
  )
```

- Make sure emacs uses the environment where you have installed
  `types-aiobotocore`

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="sublime-text"></a>

### Sublime Text

- Install `types-aiobotocore[omics]` with services you use in your environment:

```bash
python -m pip install 'types-aiobotocore[omics]'
```

- Install [LSP-pyright](https://github.com/sublimelsp/LSP-pyright) package

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[omics]` in your environment:

```bash
python -m pip install 'types-aiobotocore[omics]'`
```

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `npm i -g pyright`
- Install `types-aiobotocore[omics]` in your environment:

```bash
python -m pip install 'types-aiobotocore[omics]'
```

Optionally, you can install `types-aiobotocore` to `typings` folder.

Type checking should now work. No explicit type annotations required, write
your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`OmicsClient` provides annotations for `session.create_client("omics")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_omics import OmicsClient

session = get_session()
async with session.create_client("omics") as client:
    client: OmicsClient
    # now client usage is checked by mypy and IDE should provide code completion
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_omics.paginator` module contains type annotations for all
paginators.

```python
from aiobotocore.session import get_session

from types_aiobotocore_omics import OmicsClient
from types_aiobotocore_omics.paginator import (
    ListAnnotationImportJobsPaginator,
    ListAnnotationStoreVersionsPaginator,
    ListAnnotationStoresPaginator,
    ListMultipartReadSetUploadsPaginator,
    ListReadSetActivationJobsPaginator,
    ListReadSetExportJobsPaginator,
    ListReadSetImportJobsPaginator,
    ListReadSetUploadPartsPaginator,
    ListReadSetsPaginator,
    ListReferenceImportJobsPaginator,
    ListReferenceStoresPaginator,
    ListReferencesPaginator,
    ListRunGroupsPaginator,
    ListRunTasksPaginator,
    ListRunsPaginator,
    ListSequenceStoresPaginator,
    ListSharesPaginator,
    ListVariantImportJobsPaginator,
    ListVariantStoresPaginator,
    ListWorkflowsPaginator,
)

session = get_session()
async with session.create_client("omics") as client:
    client: OmicsClient

    # Explicit type annotations are optional here
    # Types should be correctly discovered by mypy and IDEs
    list_annotation_import_jobs_paginator: ListAnnotationImportJobsPaginator = client.get_paginator(
        "list_annotation_import_jobs"
    )
    list_annotation_store_versions_paginator: ListAnnotationStoreVersionsPaginator = (
        client.get_paginator("list_annotation_store_versions")
    )
    list_annotation_stores_paginator: ListAnnotationStoresPaginator = client.get_paginator(
        "list_annotation_stores"
    )
    list_multipart_read_set_uploads_paginator: ListMultipartReadSetUploadsPaginator = (
        client.get_paginator("list_multipart_read_set_uploads")
    )
    list_read_set_activation_jobs_paginator: ListReadSetActivationJobsPaginator = (
        client.get_paginator("list_read_set_activation_jobs")
    )
    list_read_set_export_jobs_paginator: ListReadSetExportJobsPaginator = client.get_paginator(
        "list_read_set_export_jobs"
    )
    list_read_set_import_jobs_paginator: ListReadSetImportJobsPaginator = client.get_paginator(
        "list_read_set_import_jobs"
    )
    list_read_set_upload_parts_paginator: ListReadSetUploadPartsPaginator = client.get_paginator(
        "list_read_set_upload_parts"
    )
    list_read_sets_paginator: ListReadSetsPaginator = client.get_paginator("list_read_sets")
    list_reference_import_jobs_paginator: ListReferenceImportJobsPaginator = client.get_paginator(
        "list_reference_import_jobs"
    )
    list_reference_stores_paginator: ListReferenceStoresPaginator = client.get_paginator(
        "list_reference_stores"
    )
    list_references_paginator: ListReferencesPaginator = client.get_paginator("list_references")
    list_run_groups_paginator: ListRunGroupsPaginator = client.get_paginator("list_run_groups")
    list_run_tasks_paginator: ListRunTasksPaginator = client.get_paginator("list_run_tasks")
    list_runs_paginator: ListRunsPaginator = client.get_paginator("list_runs")
    list_sequence_stores_paginator: ListSequenceStoresPaginator = client.get_paginator(
        "list_sequence_stores"
    )
    list_shares_paginator: ListSharesPaginator = client.get_paginator("list_shares")
    list_variant_import_jobs_paginator: ListVariantImportJobsPaginator = client.get_paginator(
        "list_variant_import_jobs"
    )
    list_variant_stores_paginator: ListVariantStoresPaginator = client.get_paginator(
        "list_variant_stores"
    )
    list_workflows_paginator: ListWorkflowsPaginator = client.get_paginator("list_workflows")
```

<a id="waiters-annotations"></a>

### Waiters annotations

`types_aiobotocore_omics.waiter` module contains type annotations for all
waiters.

```python
from aiobotocore.session import get_session

from types_aiobotocore_omics.client import OmicsClient
from types_aiobotocore_omics.waiter import (
    AnnotationImportJobCreatedWaiter,
    AnnotationStoreCreatedWaiter,
    AnnotationStoreDeletedWaiter,
    AnnotationStoreVersionCreatedWaiter,
    AnnotationStoreVersionDeletedWaiter,
    ReadSetActivationJobCompletedWaiter,
    ReadSetExportJobCompletedWaiter,
    ReadSetImportJobCompletedWaiter,
    ReferenceImportJobCompletedWaiter,
    RunCompletedWaiter,
    RunRunningWaiter,
    TaskCompletedWaiter,
    TaskRunningWaiter,
    VariantImportJobCreatedWaiter,
    VariantStoreCreatedWaiter,
    VariantStoreDeletedWaiter,
    WorkflowActiveWaiter,
)

session = get_session()
async with session.create_client("omics") as client:
    client: OmicsClient

    # Explicit type annotations are optional here
    # Types should be correctly discovered by mypy and IDEs
    annotation_import_job_created_waiter: AnnotationImportJobCreatedWaiter = client.get_waiter(
        "annotation_import_job_created"
    )
    annotation_store_created_waiter: AnnotationStoreCreatedWaiter = client.get_waiter(
        "annotation_store_created"
    )
    annotation_store_deleted_waiter: AnnotationStoreDeletedWaiter = client.get_waiter(
        "annotation_store_deleted"
    )
    annotation_store_version_created_waiter: AnnotationStoreVersionCreatedWaiter = (
        client.get_waiter("annotation_store_version_created")
    )
    annotation_store_version_deleted_waiter: AnnotationStoreVersionDeletedWaiter = (
        client.get_waiter("annotation_store_version_deleted")
    )
    read_set_activation_job_completed_waiter: ReadSetActivationJobCompletedWaiter = (
        client.get_waiter("read_set_activation_job_completed")
    )
    read_set_export_job_completed_waiter: ReadSetExportJobCompletedWaiter = client.get_waiter(
        "read_set_export_job_completed"
    )
    read_set_import_job_completed_waiter: ReadSetImportJobCompletedWaiter = client.get_waiter(
        "read_set_import_job_completed"
    )
    reference_import_job_completed_waiter: ReferenceImportJobCompletedWaiter = client.get_waiter(
        "reference_import_job_completed"
    )
    run_completed_waiter: RunCompletedWaiter = client.get_waiter("run_completed")
    run_running_waiter: RunRunningWaiter = client.get_waiter("run_running")
    task_completed_waiter: TaskCompletedWaiter = client.get_waiter("task_completed")
    task_running_waiter: TaskRunningWaiter = client.get_waiter("task_running")
    variant_import_job_created_waiter: VariantImportJobCreatedWaiter = client.get_waiter(
        "variant_import_job_created"
    )
    variant_store_created_waiter: VariantStoreCreatedWaiter = client.get_waiter(
        "variant_store_created"
    )
    variant_store_deleted_waiter: VariantStoreDeletedWaiter = client.get_waiter(
        "variant_store_deleted"
    )
    workflow_active_waiter: WorkflowActiveWaiter = client.get_waiter("workflow_active")
```

<a id="literals"></a>

### Literals

`types_aiobotocore_omics.literals` module contains literals extracted from
shapes that can be used in user code for type checking.

Full list of `Omics` Literals can be found in
[docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_omics/literals/).

```python
from types_aiobotocore_omics.literals import AcceleratorsType


def check_value(value: AcceleratorsType) -> bool: ...
```

<a id="type-definitions"></a>

### Type definitions

`types_aiobotocore_omics.type_defs` module contains structures and shapes
assembled to typed dictionaries and unions for additional type checking.

Full list of `Omics` TypeDefs can be found in
[docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_omics/type_defs/).

```python
from types_aiobotocore_omics.type_defs import AbortMultipartReadSetUploadRequestRequestTypeDef


def get_value() -> AbortMultipartReadSetUploadRequestRequestTypeDef:
    return {...}
```

<a id="how-it-works"></a>

## How it works

Fully automated
[mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder) carefully
generates type annotations for each service, patiently waiting for
`aiobotocore` updates. It delivers drop-in type annotations for you and makes
sure that:

- All available `aiobotocore` services are covered.
- Each public class and method of every `aiobotocore` service gets valid type
  annotations extracted from `botocore` schemas.
- Type annotations include up-to-date documentation.
- Link to documentation is provided for every method.
- Code is processed by [black](https://github.com/psf/black) and
  [isort](https://github.com/PyCQA/isort) for readability.

<a id="what's-new"></a>

## What's new

<a id="implemented-features"></a>

### Implemented features

- Fully type annotated `boto3`, `botocore`, `aiobotocore` and `aioboto3`
  libraries
- `mypy`, `pyright`, `VSCode`, `PyCharm`, `Sublime Text` and `Emacs`
  compatibility
- `Client`, `ServiceResource`, `Resource`, `Waiter` `Paginator` type
  annotations for each service
- Generated `TypeDefs` for each service
- Generated `Literals` for each service
- Auto discovery of types for `boto3.client` and `boto3.resource` calls
- Auto discovery of types for `session.client` and `session.resource` calls
- Auto discovery of types for `client.get_waiter` and `client.get_paginator`
  calls
- Auto discovery of types for `ServiceResource` and `Resource` collections
- Auto discovery of types for `aiobotocore.Session.create_client` calls

<a id="latest-changes"></a>

### Latest changes

Builder changelog can be found in
[Releases](https://github.com/youtype/mypy_boto3_builder/releases).

<a id="versioning"></a>

## Versioning

`types-aiobotocore-omics` version is the same as related `aiobotocore` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

<a id="thank-you"></a>

## Thank you

- [Allie Fitter](https://github.com/alliefitter) for
  [boto3-type-annotations](https://pypi.org/project/boto3-type-annotations/),
  this package is based on top of his work
- [black](https://github.com/psf/black) developers for an awesome formatting
  tool
- [Timothy Edmund Crosley](https://github.com/timothycrosley) for
  [isort](https://github.com/PyCQA/isort) and how flexible it is
- [mypy](https://github.com/python/mypy) developers for doing all dirty work
  for us
- [pyright](https://github.com/microsoft/pyright) team for the new era of typed
  Python

<a id="documentation"></a>

## Documentation

All services type annotations can be found in
[aiobotocore docs](https://youtype.github.io/types_aiobotocore_docs/types_aiobotocore_omics/)

<a id="support-and-contributing"></a>

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/youtype/mypy_boto3_builder/issues/)
repository.
